org.apache.ignite.spi.discovery

## Interface DiscoverySpiListener

    public interface DiscoverySpiListener

Listener for grid node discovery events. See `DiscoverySpi` for information on how grid nodes get discovered.

### Method Summary

Methods
`void` `onDiscovery(int type, long topVer, ClusterNode node, Collection<ClusterNode> topSnapshot, Map<Long,Collection<ClusterNode>> topHist, Serializable data)` Notification for grid node discovery events.

### Method Detail

#### onDiscovery

    void onDiscovery(int type,
                   long topVer,
                   ClusterNode node,
                   Collection<ClusterNode> topSnapshot,
                   @Nullable
                   Map<Long,Collection<ClusterNode>> topHist,
                   @Nullable
                   Serializable data)

Notification for grid node discovery events.

Parameters:
  `type` - Node discovery event type. See `DiscoveryEvent`
  `topVer` - Topology version or `0` if configured discovery SPI implementation does not support versioning.
  `node` - Node affected (e.g. newly joined node, left node, failed node or local node).
  `topSnapshot` - Topology snapshot after event has been occurred (e.g. if event is `EVT_NODE_JOINED`, then joined node will be in snapshot).
  `topHist` - Topology snapshots history.
  `data` - Data for custom event.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015